package com.example.mystictale.Screen

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Button
import androidx.compose.material3.CircularProgressIndicator
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.paint
import androidx.compose.ui.res.painterResource
import com.example.mystictale.R

@Composable
fun RegistrationEmail() {
    var currentProgress by remember { mutableStateOf(0f) }
    Column(
        Modifier
            .fillMaxSize()
            .paint(
                painterResource(id = R.drawable.background)
            )
    ) {
        Row {
            Button(onClick = { /*TODO*/ }) {
                Image(
                    painter = painterResource(id = R.drawable.back),
                    contentDescription = "back to start page"
                )
                CircularProgressIndicator(progress = currentProgress)
                
                
                Button(onClick = {currentProgress = currentProgress+25f}) {
                    
                }
            }
        }

    }
}